import request from '@/utils/request'

// 查询校园安全信息列表
export function listXiaoYuanInfo(query) {
  return request({
    url: '/xiaoYuan/info/list',
    method: 'get',
    params: query
  })
}

// 查询校园安全信息详细
export function getXiaoYuanInfo(infoId) {
  return request({
    url: '/xiaoYuan/info/' + infoId,
    method: 'get'
  })
}

// 新增校园安全信息
export function addXiaoYuanInfo(data) {
  return request({
    url: '/xiaoYuan/info',
    method: 'post',
    data: data
  })
}

// 修改校园安全信息
export function updateXiaoYuanInfo(data) {
  return request({
    url: '/xiaoYuan/info',
    method: 'put',
    data: data
  })
}

// 删除校园安全信息
export function delXiaoYuanInfo(infoId) {
  return request({
    url: '/xiaoYuan/info/delete/' + infoId,
    method: 'get'
  })
}